<header>
  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
      <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
      <% @carousel_images[1..].each_with_index do |_, i| %>
        <li data-target="#carouselExampleIndicators" data-slide-to=<%= i + 1 %>></li>
      <% end %>
    </ol>
    <div class="carousel-inner" role="listbox">
      <div class="carousel-item active" style="background-image: url(<%= asset_path @carousel_images[0] %>)"></div>
      <% @carousel_images[1..].each do |img| %>
        <div class="carousel-item" style="background-image: url(<%= asset_path img %>)"></div>
      <% end %>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
  <!-- Counter -->
  <div class="container-fluid">
    <div class="row align-items-center py-2 bg-secondary text-light text-center">
      <div class="col-lg col-sm-6">
        <p class="counter"><%= number_to_human(@hospitalization_counter) %></p>
        <p><%= t('views.homepage.hospitalization') %></p>
      </div>
      <div class="col-lg col-sm-6">
        <p class="counter"><%= @dataset_years.join ', ' %></p>
        <p><%= t('views.homepage.dataset_years') %></p>
      </div>
      <div class="col-lg col-sm-6">
        <p class="counter"><%= @health_facility_counter %></p>
        <p><%= t('views.homepage.health_facility') %></p>
      </div>
      <div class="col-lg col-sm-6">
        <p class="counter"><%= @specialty_counter %></p>
        <p><%= t('views.homepage.specialty') %></p>
      </div>
      <div class="col-lg col-sm-6">
        <p class="counter"><%= number_to_human(@mean_distance) %> Km</p>
        <p><%= t('views.homepage.mean_distance') %></p>
      </div>
    </div>
      <div class="row bg-secondary text-light text-center">
      </div>
  </div>

</header>

<!-- Page Content -->
<div class="container">
  <!-- Services -->
  <h1 class="my-4 text-secondary">
    <%= t('views.homepage.services') %>
  </h1>
  <hr>
  <div class="row">
    <div class="col-lg-6 col-sm-12 portfolio-item">
      <div class="card h-100">
        <%= link_to image_tag('search.png', class: 'card-img-top'), procedures_path %>
        <div class="card-body">
          <h4 class="card-title">
            <%= link_to t('views.shared.header.map_and_filters'), procedures_path %>
          </h4>
          <p class="card-text"><%= t('views.homepage.advanced_search') %></p>
        </div>
      </div>
    </div>
    <!-- FIXME: implement this page
    <div class="col-lg-6 col-sm-12 portfolio-item">
      <div class="card h-100">
        <a href="#"><img class="card-img-top" src="assets/facilities.png" alt=""></a>
        <div class="card-body">
          <h4 class="card-title">
            <a href="#"><%= t('views.shared.header.health_facilities') %></a>
          </h4>
          <p class="card-text"><%= t('views.homepage.health_facilities') %></p>
        </div>
      </div>
      </div>
    -->
    <div class="col-lg-6 col-sm-12 portfolio-item">
      <div class="card h-100">
        <%= link_to image_tag('data.png', class: 'card-img-top'), general_data_path %>
        <div class="card-body">
          <h4 class="card-title">
            <%= link_to t('views.shared.header.data_and_charts'), general_data_path %></a>
          </h4>
          <p class="card-text"><%= t('views.homepage.general_data') %></p>
        </div>
      </div>
    </div>
    <!-- FIXME: implement this page
    <div class="col-lg-6 col-sm-12 portfolio-item">
      <div class="card h-100">
        <a href="#"><img class="card-img-top" src="assets/about.png" alt=""></a>
        <div class="card-body">
          <h4 class="card-title">
            <a href="#"><%= t('views.shared.footer.about') %></a>
          </h4>
          <p class="card-text"><%= t('views.homepage.about') %></p>
        </div>
      </div>
    </div>
    -->
  </div>
</div>
